ColdFrontShapeDecoration (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.omGraphics.meteo
Class ColdFrontShapeDecoration

    java.lang.Object
      com.bbn.openmap.omGraphics.awt.AbstractShapeDecoration
          com.bbn.openmap.omGraphics.meteo.ColdFrontShapeDecoration

All Implemented Interfaces:
  Revertable, ShapeDecoration

    public class ColdFrontShapeDecoration

extends AbstractShapeDecoration

A ShapeDecoration for meteorological cold fronts.

Version:
  28 juil. 2002
Author:
  Eric LEPICIER

Field Summary
`static java.awt.Color` | `COLOR` We use to draw them blue !

Fields inherited from interface com.bbn.openmap.omGraphics.awt.ShapeDecoration
`LEFT, RIGHT`

Constructor Summary
`ColdFrontShapeDecoration(int length, int width, int orientation)` Constructor.

Method Summary
`void` | `draw(java.awt.Graphics g, java.awt.geom.Point2D[] points, boolean complete)` Draws itself along the specified polyline Called by ShapeDecorator
`boolean` | `isFilled()` Returns the filled boolean.
`void` | `setFilled(boolean filled)` Sets the filled (draw a polygon or a polyline ?).

Methods inherited from class com.bbn.openmap.omGraphics.awt.AbstractShapeDecoration
`getLength, getOrientation, getPaint, getStroke, getWidth, restoreGraphics, revert, setGraphics, setLength, setOrientation, setPaint, setStroke, setWidth`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COLOR

    public static java.awt.Color COLOR

  We use to draw them blue !

Constructor Detail

### ColdFrontShapeDecoration

    public ColdFrontShapeDecoration(int length,
                                    int width,
                                    int orientation)

  Constructor.

  Parameters:
    `length` -
    `width` -
    `orientation` -

Method Detail

### draw

    public void draw(java.awt.Graphics g,
                     java.awt.geom.Point2D[] points,
                     boolean complete)

  Description copied from interface: `ShapeDecoration`
  Draws itself along the specified polyline Called by ShapeDecorator

    `points` - the polyline
    `complete` - true if the polyline length equals the decoration length
  See Also:
    `ShapeDecoration.draw(Graphics, Point2D[], boolean)`

### isFilled

    public boolean isFilled()

  Returns the filled boolean.

  Returns:
    boolean

### setFilled

    public void setFilled(boolean filled)

  Sets the filled (draw a polygon or a polyline ?).

  Parameters:
    `filled` - The filled to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details